The Legends_of_Revolution_v0.9.4_Patch.exe file you have requested: Modifications / Legends of Revolution / Legends of Revolution 0.9.4 Patch - 6.78mb is not available. Perhaps try browsing all files for the game Civilization IV: Beyond the Sword and upload any files you want to share or are missing. This is the only information we could locate:

Patches Legends of Revolution 0.9.3 to 0.9.4, requires Legends of Revolution 0.9.3 to work Changelog: Legends beta: 0.9.4 -Bug fix for Spaceship Parts. Apollo Program will now work correctly -Tweak to Heavy Footman and Crossbows. Crossbows now target Patches Legends of Revolution 0.9.3 to 0.9.4, requires Legends of Revolution 0.9.3 to work Changelog: Legends beta: 0.9.4 -Bug fix for Spaceship Parts.

We recommend you return to the download list and browse the links from there. If the problem persists, contact us with the details.

More games Add game